import disnake
from disnake.ext import commands
from DscPyDB import EconomyDB, LevelDB
import random

bot = commands.Bot(command_prefix="!", intents=disnake.Intents.all())
level_db = LevelDB()
eco_db = EconomyDB()

@bot.command(name="cf")
async def coinflip(ctx: commands.Context, amount: int):
    user = await eco_db.create_account_if_not_exists(ctx.author.id, 500, 1000)

    if user.wallet < amount:
        return await ctx.send("not enough coins")
    
    c = random.choice([1, 3])

    if c == 1:
        await ctx.send(f'you won {amount*2} coins!')
        return await eco_db.update_account(ctx.author.id, wallet_amount=user.wallet+amount*2)
    
    await ctx.send(f'you lost {amount} coins!')
    return await eco_db.update_account(ctx.author.id, wallet_amount=user.wallet-amount)

@bot.command(name="bal")
async def balance(ctx: commands.Context):
    user = await eco_db.create_account_if_not_exists(ctx.author.id, 500, 1000)
    embed = disnake.Embed(title="Ranks!", description=f"Wallet: **{user.wallet}**\nBank: {user.bank}", color=ctx.author.color)
    await ctx.send(embed=embed)

@bot.command(name="rank")
async def member_rank(ctx: commands.Context):
    user = await level_db.create_account_if_not_exists(ctx.author.id, 5, 1)
    embed = disnake.Embed(title="Ranks!", description=f"Experience: **{user.xp}**\nLevel: {user.level}", color=ctx.author.color)
    await ctx.send(embed=embed)

@bot.listen("on_ready")
async def on_ready():
    print('Online')

@bot.listen('on_message')
async def level_message(message: disnake.Message):
    if message.author.bot: 
        return
    user = await level_db.create_account_if_not_exists(message.author.id, 5, 1)

    new_xp = user.xp + 5

    await level_db.update_account(message.author.id, xp=new_xp)

    if new_xp%10==0:
        return await level_db.update_account(message.author.id, level=user.level+1)

bot.run('token')