from DscPyDB import WarnDB
from disnake.ext import commands
import disnake

bot = commands.Bot(command_prefix='!', intents=disnake.Intents.all())
db = WarnDB()

@bot.command()
@commands.has_permissions(manage_members=True)
async def warn(ctx: commands.Context, member: disnake.Member, *, reason: str):
    member_data = await db.create_account(member.id, 0, False)
    embed = disnake.Embed(title=f'Warning #{member_data.warns+1} from {ctx.guild.name}!', description=f'Reason: **{reason}**', color=ctx.author.color).set_thumbnail(url=member.display_avatar.url)
    try:
        await member.send(embed=embed)
        await ctx.send("Warned!")
        await db.update_account(member.id, warns=member_data.warns+1)
    except disnake.Forbidden:
        await ctx.send('Could not warn that member!')

@bot.command()
@commands.has_permissions(manage_members=True)
async def infractions(ctx: commands.Context, member: disnake.Member):
    member_data = await db.create_account(member.id, 0, False)
    embed = disnake.Embed(description=f"Warns: {member_data.warns} | Banned: {member_data.banned}")
    await ctx.send(embed=embed)

bot.run('token')